VisualEditor is intermittently failing to load TemplateData for en.wp's [[Template:Citation needed]] (possibly others?)
Closed, ResolvedPublic0 Story Points

Description

This is an intermittent problem reported by @GermanJoe. It only appears to affect the one template. Perhaps something's odd about it or its TemplateData?

Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 6:15 PM

Thanks for adding this task. To clarify a bit: not only the "Autovalue" function is not working, the whole TemplateData content is apparently not loaded. I get the standard message "You are adding the "Cn" template to this page. It doesn't yet have a description, but there might be some information on the template's page." for missing TD info from VE, even though the template has such data. I don't know, how exactly VE loads the TemplateData information from the original Template page, but somewhere along the way it gets lost (currently it's still not available for Template "cn" on en-Wiki). Other templates on en-Wiki work fine.

Jdforrester-WMF renamed this task from Autovalue is intermittently not working at en.wp's [[Template:Citation needed]] to VisualEditor is intermittently failing to load TemplateData for en.wp's [[Template:Citation needed]] (possibly others?).Sep 2 2015, 7:32 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set Security to None.
GermanJoe renamed this task from VisualEditor is intermittently failing to load TemplateData for en.wp's [[Template:Citation needed]] (possibly others?) to TemplateData with AutoValue intermittently not available at en.wp's [[Template:Citation needed]].Sep 2 2015, 7:32 PM
GermanJoe raised the priority of this task from High to Needs Triage.
GermanJoe removed a subscriber: Jdforrester-WMF.
Jdforrester-WMF renamed this task from TemplateData with AutoValue intermittently not available at en.wp's [[Template:Citation needed]] to VisualEditor is intermittently failing to load TemplateData for en.wp's [[Template:Citation needed]] (possibly others?).Sep 2 2015, 7:32 PM
Jdforrester-WMF triaged this task as High priority.

Sorry - didn't mean to mess up the task info.

Sorry - didn't mean to mess up the task info.

No worries, totally not your fault.

Elitre added a subscriber: Elitre.Sep 3 2015, 1:22 PM
Elitre added a comment.Sep 3 2015, 1:39 PM

It's not working for me ATM as well, in both articles and sandbox.
FYI though https://en.wikipedia.org/wiki/Template:Citation_needed_span works, if someone needs a dirty workaround.

Existing TemplateData for this template is still not loaded via VE.
I could try to request another null edit on the template, which might fix the problem. But it's probably better to retain the current error situation for further research.

enwiki's {{Citation needed}} is working for me right now.

I dunno if my T117164: VisualEditor thinks there's no templatedata for my template with /doc subpage woe is related. In that bug, the template doesn't have a templatedata pageprop, only its /doc subpage does.

Deskana closed this task as Resolved.Aug 24 2017, 10:44 AM
Deskana changed the point value for this task from 8 to 0.
Deskana claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 24 2017, 10:44 AM